/*
Theme Name: Bridge Child
Theme URI: http://demo.qodeinteractive.com/bridge/
Description: A child theme of Bridge Theme
Author: Qode Interactive
Author URI: http://www.qodethemes.com/
Version: 1.0.0
Template: bridge
*/
@import url("../bridge/style.css");

/* PAGINA 404 */
.page_not_found{
    padding-top: 50px
}

/* TITOLO PAGINA  */
.title.has_fixed_background {
    background-size:cover !important;
    
}
/* MENU - PULSANTE TORNA SOPRA */
.torna-sopra .elementor-heading-title  a::after {
    content: '⬆';
    font-size:21px;
    line-height:32px;
    font-style:normal;
    position:absolute;
    right:4px;
    top: calc( 50% - 18px);
    width:32px;
    height:32px;
    border:1px solid #fff;
    text-align:center;
    box-sizing:border-box;
    font-weight:400;
    border-radius:8px;
} 
.torna-sopra .elementor-heading-title  a:hover:after {
    background-color:#ff00de;
    border:1px solid #ff00de;
}
/* Ombra icone e Menu ma non allo scroll */
body header:not(.scrolled) .q_social_icon_holder.normal_social i {
    text-shadow: 1px 1px 1px #ff00de;
}
body header:not(.scrolled)  .popup_menu.qode-popup-menu-svg-opener .qode-popup-menu-opener {
     filter: drop-shadow(1px 1px 1px #ff00de);
}
/************************************************* 
PAGINA MENU (https://www.mamasita.it/menu/ ID 308) 
**************************************************/

/* Header Normale - Default nessuna modifica */
body.page-id-308 #grid-menu1 {position:relative;}
body.page-id-308 #grid-menu2 {position:relative;}


/* Header Scrolled - Fixed */
/* Nascondo la Header Scrolled tanto c'è sopra i 2 menu */
body.page-id-308 header.scrolled {
    display: none;
}
/* LOGO FIX SCROLL */
header.scrolled  .q_logo img.dark, 
header.scrolled  .q_logo img.light, 
header.scrolled  .q_logo img.mobile, 
header.scrolled  .q_logo img.popup {
    opacity: 0 !important;
}
header.scrolled  .q_logo img.sticky {
    opacity: 1 !important;
}
/* 1a RIGA Header Scrolled (6 VOCI)
    Cocktail Tiki/Cocktail Tropicali/Cocktail Mexicani/Cocktail Analcolici/Mexican Food/Birra & Bevande
*/
body.page-id-308:has(header.scrolled)  #grid-menu1 {
    position:fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 90px;
    z-index: 99999999;
}
/* 2a RIGA  Header Scrolled (7 VOCI)
    Caffetteria/Dolci - Crepes/Frullati/Yogurt/Frappè/Bubble Waffel/Fruit Bowl/
*/
body.page-id-308:has(header.scrolled)  #grid-menu2 {
    position:fixed;
    top: 90px;
    left: 0;
    width: 100%;
    height: 90px;
    z-index: 99999999;
}

/* IPAD / TABLET */
@media all and (max-width:1024px) {


    /* LOGO FIX SCROLL */
    header.scrolled  .q_logo img.dark, 
    header.scrolled  .q_logo img.light, 
    header.scrolled  .q_logo img.mobile, 
    header.scrolled  .q_logo img.sticky {
        opacity: 0 !important;
    }
    header.scrolled  .q_logo img.popup {
        opacity: 1 !important;
    }


    /* PULSANTE LATERALE MOBILE */
    .side_menu_button > a{
        color: #000000;
    }
    /************************************************* 
    PAGINA MENU (https://www.mamasita.it/menu/ ID 308) 
    **************************************************/
    /* Nascondo la Header Scrolled (qode-animate-mobile-header) tanto c'è sopra i 2 menu */
    body.page-id-308 header.qode-animate-mobile-header {
        display: none;
    }
    /* 1a RIGA  Header Scrolled (classe qode-animate-mobile-header )*/
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu1 {
        position:fixed;
        top: 0;
        left: 2%;
        width: 97%;
        height: 96px !important;
        overflow: hidden;
        box-sizing: border-box;
        z-index: 9999;
    }
    /* 2a RIGA  Header Scrolled (classe qode-animate-mobile-header )*/
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu2 {
        position:fixed;
        top: 80px;
        left: 2%;
        width: 97%;
        height: 90px  !important;
        overflow: hidden;
        box-sizing: border-box;
        z-index: 9999;
        box-shadow: 1px 3px 4px rgba(0,0,0,.1);
    }
   
    /* 1a RIGA - SU IPAD/TABLET Forzo 6 x riga */
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu1.e-con.e-grid > .e-con-inner {
        grid-template-columns: repeat(6, 1fr) !important;
        gap: 0;
    }
    /* 2a RIGA - SU IPAD/TABLET Forzo 7 x riga */
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu2.e-con.e-grid > .e-con-inner {
        grid-template-columns: repeat(7, 1fr) !important;
        gap: 0;
    }
    body.page-id-308:has(header.qode-animate-mobile-header) .e-con-inner .elementor-image-box-title {
        font-size: 14px;
        line-height: 1.2;
    }
    /*1a RIGA + 2a RIGA - diminuisco immagine */
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu1 .elementor-image-box-img img,
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu2 .elementor-image-box-img img {
        max-height: 60px !important;
    }
    /*2a RIGA - diminuisco contenitore immagine (perchè sono 7 colonne, una in +) */
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu1 .elementor-image-box-img,
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu2 .elementor-image-box-img {  
        max-width: 70px !important;
    }
    /* HEADER MOBILE SVG COLOR */
    body .light .popup_menu.qode-popup-menu-svg-opener .qode-popup-menu-opener svg * {
        
        stroke: #ff00de !important;
    }

}
/* MOBILE*/
@media all and (max-width:667px) {
    /* 2a RIGA - 70 pixel (c'è l'overflow:hidden) */
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu1 {
        height: 70px !important;
    }
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu2 {
        top: 54px;
        height: 70px !important;

    }
    /* 1a RIGA + 2a RIGA - Nascondo titolo */
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu1 .elementor-image-box-content ,
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu2 .elementor-image-box-content {
        display: none;
    }
    /*  */
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu2 .no-menu-small {
        /* display: none !important; */
    }
    .footer_bottom {
        padding: 24px;
    }

    
}   
/*  SMALLS SCREEN  */
@media only screen and (max-width: 480px){

    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu1 {
        position:fixed;
        bottom: 53px !important;
        top: unset !important;
        height: 110px !important;
    }
    body.page-id-308:has(header.qode-animate-mobile-header)  #grid-menu2 {
        position:fixed;
        bottom: 165px !important;
        top: unset !important;
        left: 7px;
        width: 100%;
        height: 110px !important;
        border-top: 1px solid #ddd;
    }
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu1 .elementor-image-box-img, 
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu2 .elementor-image-box-img {
        max-width: 48px !important;
    }
    body.page-id-308 .elementor-widget-image-box .elementor-image-box-wrapper {
        text-align: center;
        max-width: 48px;
    }
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu1 .elementor-image-box-img img,
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu2 .elementor-image-box-img img {
        max-height: 50px !important;
    }
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu1 .elementor-image-box-content ,
    body.page-id-308:has(header.qode-animate-mobile-header) #grid-menu2 .elementor-image-box-content {
        display: inline-block;
    }
    #grid-menu1 .e-con .elementor-widget.elementor-widget,
    #grid-menu2 .e-con .elementor-widget.elementor-widget  {
        line-height: 16px;
    }
    body.page-id-308 .elementor-widget-image-box .elementor-image-box-title  {
        margin: 0;
        padding: 0;
        font-size: 12px;
        line-height: 16px;
    }
    body.page-id-308 .elementor-widget-image-box .elementor-image-box-title a {
        font-size: 12px;
        line-height: 16px;
        text-transform: uppercase;
        letter-spacing: -1px;
    }

    /* Ombra icone e Menu ma non allo scroll */
    body header:not(.scrolled) .q_social_icon_holder.normal_social i {
        text-shadow: none;
    }
    body header:not(.scrolled)  .popup_menu.qode-popup-menu-svg-opener .qode-popup-menu-opener {
         filter: none;
    }

    .qode_pricing_list .qode_pricing_item_text {
        padding-right: 0;
        display: flex;
        flex-direction: column;
        text-align: center;
    }
    .qode_pricing_list .qode_pricing_item_price {
        position: relative !important;
        width: auto;
        height: auto;
        text-align: center;

    }

    .qode_pricing_list .qode_pricing_item_text > h4,
    .qode_pricing_list .qode_pricing_item_text > h5{
        text-transform:none;
        font-size:22px !important;
        letter-spacing:normal;
        line-height:28px;
       
    }
    .qode_pricing_list .qode_pricing_item_text > p {
        font-size:18px;
        line-height:24px;
        text-align: center;
    }
    .footer_bottom p {
    }
    .footer_bottom .divisore-footer {
        display: block;
        height: 1px;
        width:100%;
        color: #731F99;
    }

}

/* SHORTCODE: LISTA SOTTO PAGINE  */
.subpage-list                           { display: flex; list-style-type: none; padding: 8px 0; width: 100%;
                                          flex-direction: column; box-sizing: border-box;
                                          border-left: var(--primario-bordo); padding-left: 8px; gap: 8px; }
.subpage-list.row                       { flex-direction: row; box-sizing: border-box; border-left: 0px none;
                                          align-items: start; padding-left: initial;}
.subpage                                { display: flex; flex-wrap: nowrap; gap: 8px; align-items: center; flex-direction: row;
                                          box-sizing: border-box; }
.subpage-list.row .subpage              { display: flex; flex-direction: column; min-width: 20%; box-sizing: border-box;
                                          text-align: center;gap: 8px;}
.subpage                   img          { aspect-ratio:1/1; width:100px; object-fit: cover; }
.subpage-list.row .subpage img          { width:100%; max-width: 300px; }
.subpage.root              h4 a         { color:  var(--primario); }
.subpage.attivo            h6 a         { color:  var(--primario); 

/* MODULO CONTATTI DINAMICO */

.wpcf7-form .wpcf7-spinner              { display: none; } /* FIX Spinner CF7 */
.wpcf7-form               label         { position: relative;}
.wpcf7-form               label::before { content:  ''; font-family: FontAwesome; position: absolute;
                                          left: -24px;font-size: 16px; color:var(--primario);}
label[for] > span,
label .wpcf7-list-item-label > span     { color: var(--secondario); font-size: 12px; }
label[for="your-name"]::before,
label[for="your-cognome"]::before       { content:  '\f2c1'; }
label[for="your-email"]::before         { content:  '\f2b6'; }
label[for="your-phone"]::before         { content:  '\f2a0'; }
label[for^="data"]::before              { content:  '\f073'; }
label[for="adulti"]::before             { content:  '\f0c0'; }
label[for="your-message"]::before       { content:  '\f27a'; }
label[for="bambini"]::before            { content:  '\f1ae'; }
label[for="portfolio_category"]::before { content:  '\f0b1'; top: 0; }
label[for="tipo-contatto"]::before      { content:  '\f590'; top: 0; }
.wpcf7-acceptance label::before         { content:  '\f505'; top: 0; left: -36px; }
select.select-dinamica                  { text-align:center; }
select.select-dinamica     option       { text-transform: uppercase; font-family: 'Noto Sans', sans-serif ;}
.submit-cf7                             { position:relative; }
.submit-cf7::after                      { content: '\f1d8'; font-family: FontAwesome; position: absolute;
                                          right: 24px; font-size: 18px; color: #fff; top: 33px; }
/* SHORTCODE: SUBPAGE LIST - Ricordati che hai modificato l'Inner page navigation */



